Delete a map - Fluid Topics - Latest

Fluid Topics API Reference Guide

Category
Reference Guides
Audience
public
Version
Latest

This web service deletes a map (structured document) from Fluid Topics.

Users or API keys with the CONTENT_PUBLISHER role can only delete a map published through a source they have permissions for.

  • It is necessary to provide an Ft-Calling-App value when using Fluid Topics web services. See Fluid Topics calling app.
  • Deleting a map removes all children topics and may take some time.
Method Endpoint
DELETE
/api/admin/khub/maps/{mapId}
Path parameter Type Description
{mapId} String The value for the id field retrieved when listing maps.

Response body

The following example shows a JSON response body for this web service:

{
  "deletedMapId": "KjShfozg_eCWZuJ9j4RpmA"
}
Field Type Description
deletedMapId String The ft:publicationId value of the deleted map.